﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class PlayerController : MonoBehaviour {
	public float speed;
	public int fireRate;
	public Bullet bullet;

/*  Unity API
 *  =================================================================*/
	void Awake() {
		rigidbody = GetComponent<Rigidbody2D>();
		renderer = GetComponent<Renderer>();
	}

	void Update() {
	    if(Input.GetButton("Fire1") && cooldown > fireRate) {
	        Vector3 bulletStart = new Vector3(transform.position.x + renderer.bounds.size.x / 2, transform.position.y, 0);
	        Instantiate(bullet, bulletStart, Quaternion.identity);
	        cooldown = 0;
	    }
	    ++cooldown;
	}
	
	void FixedUpdate() {
		float dx = Input.GetAxis("Horizontal");
		float dy = Input.GetAxis("Vertical");

		rigidbody.velocity = new Vector3(dx, dy, 0.0f) * speed;
	}

/*  Public Methods
 *  =================================================================*/

/*  Private Members
 *  =================================================================*/
	private Rigidbody2D rigidbody;
	private Renderer renderer;
	private int cooldown;
}
